=== debian/changelog ===
gcc-m68hc1x (3.3.3-4) unstable; urgency=low

  * Added some patches from upstream. Hope it would now build on all arches. 

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 22 Apr 2004 15:20:57 +0200

gcc-m68hc1x (3.3.3-3) unstable; urgency=low

  * Removed newlib from this package. It seems to cause some problems
    on some architectures whereas it build correctly as a separate 
    package.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 18 Apr 2004 04:36:57 +0200

gcc-m68hc1x (3.3.3-2) unstable; urgency=medium

  * Updated example program.
  * Newlib is now included in this package. 

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 12 Apr 2004 19:14:20 +0200

gcc-m68hc1x (3.3.3-1) unstable; urgency=low

  * gcc updated to 3.3.3 (closes: bug#241836).

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 11 Apr 2004 11:20:15 +0200

gcc-m68hc1x (3.2-10) unstable; urgency=low

  * Let gcc-m68hc1x provide its own manpages, instead of gcc-3.2's ones.
  * Removed the dependency on gcc-3.2.
  * Bumped standards-version to 3.6.1 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 17 Oct 2003 00:43:57 +0200

gcc-m68hc1x (3.2-9) unstable; urgency=low

  * Suggests gcc-3.2-doc instead of the non-existant package gcc-doc.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 27 Apr 2003 15:46:39 +0200

gcc-m68hc1x (3.2-8) unstable; urgency=low

  * Depends on ${misc:Depends}.
  * Uses debian/compat instead of DH_COMPAT.
  * Removed call to dh_undocumented.
  * Bumped standards-version to 3.5.9.

 -- Aurelien Jarno <aurel32@debian.org>  Mon,  7 Apr 2003 20:23:35 +0200

gcc-m68hc1x (3.2-7) unstable; urgency=low

  * Added m68hc11-gccbug and m68hc12-gccbug man pages.

 -- Aurelien Jarno <aurel32@debian.org>  Fri,  7 Feb 2003 14:45:29 +0100

gcc-m68hc1x (3.2-6) unstable; urgency=low

  * More fixes in example code. 

 -- Aurelien Jarno <aurel32@debian.org>  Wed,  8 Jan 2003 14:34:28 +0100

gcc-m68hc1x (3.2-5) unstable; urgency=low

  * Small fixes in example code. 

 -- Aurelien Jarno <aurel32@debian.org>  Wed,  8 Jan 2003 09:15:36 +0100

gcc-m68hc1x (3.2-4) unstable; urgency=low

  * Fixed description.
  * Added some examples to /usr/share/doc/gcc-m68hc1x/examples
  * Standards-Version bumped to 3.5.8

 -- Aurelien Jarno <aurel32@debian.org>  Tue,  7 Jan 2003 10:27:15 +0100

gcc-m68hc1x (3.2-3) unstable; urgency=low

  * Added newlib-m68hc1x to the "Suggests:" field.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 17 Dec 2002 00:21:43 +0100

gcc-m68hc1x (3.2-2) unstable; urgency=low

  * Strip libraries. 

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 25 Oct 2002 16:51:28 +0200

gcc-m68hc1x (3.2-1) unstable; urgency=low

  * Initial Release. (closes: bug#166106)

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 24 Oct 2002 07:51:05 +0200

Local variables:
mode: debian-changelog
End:
