=== debian/control ===
Source: gcc-m68hc1x
Section: devel
Priority: extra
Maintainer: Aurelien Jarno <aurel32@debian.org>
Standards-Version: 3.6.1
Build-Depends: autoconf2.13, binutils-m68hc1x (>= 2.14.90.0.7-1), libtool, awk, findutils, bzip2, gzip, bison, flex, gettext, texinfo, zlib1g-dev, debhelper (>= 4.0), toolchain-source (>= 3.3-1), tar (>= 1.13.18)

Package: gcc-m68hc1x
Architecture: any
Section: devel
Priority: extra
Depends: ${shlibs:Depends}, ${misc:Depends}, binutils-m68hc1x (>= 2.14.90.0.7-1)
Suggests: task-c-devel, gcc-3.3-doc, newlib-m68hc1x
Provides: c-compiler-m68hc11, c-compiler-m68hc12
Description: The GNU C/C++ compiler for the Motorola 68HC11/12 processors
 This is the GNU C compiler, a fairly portable optimizing compiler which
 supports multiple languages. This package includes support for C and C++
 for cross-compiling to a Motorola 68HC11/12 microcontroller-based target.
